<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files>
        <service servicelist='open-iscsi'>open-iscsi</service>
        <service servicelist='multipath'>multipath-tools</service>
        <file filelist='open-iscsi' name='/etc/iscsi/iscsid.conf' source='iscsid.conf' mkdir='True' mode='0644' rm='True'/>
        <file filelist='multipath' name='/etc/multipath.conf' source='multipath.conf' mkdir='True' mode='0644' rm='True'/>
    </files>

    <variables>
        <family name='services'>
            <variable name='activer_openiscsi' type='oui/non' description="Activer open-iscsi">
                <value>non</value>
            </variable>
        </family>
        <family name='open-iscsi' icon='suitcase'>
            <variable name='montage_auto' type='oui/non' description="Activation du montage automatique des ressources">
               <value>non</value>
            </variable>
            <variable name='activer_multipath' type='oui/non' description="Activation du multipath pour gérer des accès multiples à des ressources">
               <value>non</value>
            </variable>
        </family>
        <separators/>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_openiscsi'>
            <param>non</param>
            <target type='family'>open-iscsi</target>
            <target type='servicelist'>open-iscsi</target>
            <target type='filelist'>open-iscsi</target>
        </condition>
        <condition name='disabled_if_in' source='activer_multipath'>
            <param>non</param>
            <target type='servicelist'>multipath</target>
            <target type='filelist'>multipath</target>
        </condition>
    </constraints>

    <help>
        <family name='open-iscsi'>Configuration du stockage réseau</family>
        <variable name='activer_openiscsi'>iSCSI (Internet Small Computer System Interface) est un protocole de stockage en réseau basé sur le protocole IP destiné à relier les installations de stockage de données</variable>
    </help>

</creole>
